Bug 22487 - Add Mana and Bugzilla components on bugzilla
Summary: Add Mana and Bugzilla components on bugzilla
Status: RESOLVED FIXED
Alias: None
Product: Project Infrastructure
Classification: Unclassified
Component: Bugzilla (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement
Assignee: Jonathan Druart
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-09 20:57 UTC by Katrin Fischer
Modified: 2019-05-15 14:47 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2019-03-09 20:57:09 UTC
In order to be able to report bugs against Mana and Bugzilla, it would be nice if this components could be added.
Comment 1 Jonathan Druart 2019-03-10 17:16:04 UTC
About Bugzilla: "Project infrastructure > Bugzilla" ?

About Mana: "Koha > Mana" (i.e. Mana code integreated to Koha) or you are talking about the server code?
Comment 2 Katrin Fischer 2019-03-10 19:43:48 UTC
Hi Jonathan,

yes, Project infrastructure > Bugzilla

For Mana I was thinking of the code outside of Koha. Not sure how to handle that best. I wanted to report 'improve the email sent by Mana' (bug 22488)
Comment 3 Jonathan Druart 2019-03-15 22:07:44 UTC
(In reply to Katrin Fischer from comment #2)
> yes, Project infrastructure > Bugzilla

Done!
Comment 4 Jonathan Druart 2019-03-15 22:09:08 UTC
(In reply to Katrin Fischer from comment #2)
> For Mana I was thinking of the code outside of Koha. Not sure how to handle
> that best. I wanted to report 'improve the email sent by Mana' (bug 22488)

The code is at https://git.biblibre.com/biblibre/koha-mana and, I think, should be moved to gitlab. And so we would use the bug tracker of the project.
Comment 5 Katrin Fischer 2019-03-16 09:25:15 UTC
(In reply to Jonathan Druart from comment #4)
> (In reply to Katrin Fischer from comment #2)
> > For Mana I was thinking of the code outside of Koha. Not sure how to handle
> > that best. I wanted to report 'improve the email sent by Mana' (bug 22488)
> 
> The code is at https://git.biblibre.com/biblibre/koha-mana and, I think,
> should be moved to gitlab. And so we would use the bug tracker of the
> project.

Agreed, we should move it to the central repository as a community project. I'd be ok with using the issue tracker too, but in the past we have made a point about not forcing users to have many accounts. Keeping an option to report here too might be in line with that.
Comment 6 Martin Renvoize 2019-04-10 05:59:40 UTC
We have various side projects popping up these days.. and like that they're getting centralised onto gitlab but I do wonder how the community should be involved in their maintenance. I agree it's a good idea to have a project here for them so we're able to keep track of them in one place.. but whose role is it to SO, QA, and Release such fixes into the wild..?

Should it fall to the same team or should there be some roles with a subteam.. Mana feels especially important to get right as it could end up tracking the Koha release cycle as we add features to it and add support for them in Koha.
Comment 7 Jonathan Druart 2019-04-29 14:35:41 UTC
(In reply to Martin Renvoize from comment #6)
> We have various side projects popping up these days.. and like that they're
> getting centralised onto gitlab but I do wonder how the community should be
> involved in their maintenance. I agree it's a good idea to have a project
> here for them so we're able to keep track of them in one place.. but whose
> role is it to SO, QA, and Release such fixes into the wild..?
> 
> Should it fall to the same team or should there be some roles with a
> subteam.. Mana feels especially important to get right as it could end up
> tracking the Koha release cycle as we add features to it and add support for
> them in Koha.

In my understanding if the community decides to integrate a project (Mana, Hea, etc.), they have to maintain/keep an eye on it (server-side as well).
Could be good to discuss that in dev meeting?
Comment 8 Paul Poulain 2019-05-02 08:48:22 UTC
I'm semi-fine with having Mana being integrated into Koha general infrastructure:
 * pro => the infrastructure already exist. I don't want this project to appear as a "BibLibre project"
 * cons => I see mana as a central point for sharing things that could be used by other software. For example:
 - use mana-kb in Coral to share licenses (onix-pl) and resources (kbart)
 - use mana-kb in Urungi to share layers and dashboards/reports
moving mana to gitlab means "linking" mana-kb & Koha in many ppl's mind. So harder to expand it to other software.

Both pro & cons are interesting and legit. My final opinion is not made.
Comment 9 Katrin Fischer 2019-05-02 09:00:33 UTC
(In reply to Paul Poulain from comment #8)
> I'm semi-fine with having Mana being integrated into Koha general
> infrastructure:
>  * pro => the infrastructure already exist. I don't want this project to
> appear as a "BibLibre project"
>  * cons => I see mana as a central point for sharing things that could be
> used by other software. For example:
>  - use mana-kb in Coral to share licenses (onix-pl) and resources (kbart)
>  - use mana-kb in Urungi to share layers and dashboards/reports
> moving mana to gitlab means "linking" mana-kb & Koha in many ppl's mind. So
> harder to expand it to other software.
> 
> Both pro & cons are interesting and legit. My final opinion is not made.

I am not insisting on Bugzilla or some other place, but I think we should have a clear workflow on where to report enhancements and bugs :)

That said I would love some feedback on the open Mana bug reports, currently all linked to bug 17047. Especially bug 22210.
Comment 10 Paul Poulain 2019-05-08 15:57:12 UTC
OK, got it and agreed regarding the bugzilla suggestion

Product "mana-kb" created, with one component (mana-kb server)
default assignee = koha-bugs

Regarding a move to git.koha-community.org, I also agree. If the project needs to become independent one day, it will always be possible to move to mana-kb-project.org or something like that. I can't do that myself, so Joubu or Martin, feel free.
Comment 11 Jonathan Druart 2019-05-08 17:18:04 UTC
I am going to create koha-mana on gitlab.
Comment 12 Jonathan Druart 2019-05-08 17:23:37 UTC
(In reply to Jonathan Druart from comment #11)
> I am going to create koha-mana on gitlab.

https://gitlab.com/koha-community/koha-mana
Comment 13 Katrin Fischer 2019-05-08 21:19:47 UTC
(In reply to Paul Poulain from comment #10)
> OK, got it and agreed regarding the bugzilla suggestion
> 
> Product "mana-kb" created, with one component (mana-kb server)
> default assignee = koha-bugs

Why not just a component in Project infrastructure?
Comment 14 Martin Renvoize 2019-05-14 13:52:05 UTC
Thanks guys, this really looks like it's moving in the right directions now. :)
Comment 15 Jonathan Druart 2019-05-14 14:10:21 UTC
(In reply to Katrin Fischer from comment #13)
> (In reply to Paul Poulain from comment #10)
> > OK, got it and agreed regarding the bugzilla suggestion
> > 
> > Product "mana-kb" created, with one component (mana-kb server)
> > default assignee = koha-bugs
> 
> Why not just a component in Project infrastructure?

What about that, Paul?
Comment 16 Paul Poulain 2019-05-15 09:53:40 UTC
It just seemed to me to be more logical. And that does not make a big difference.
Comment 17 Katrin Fischer 2019-05-15 10:56:33 UTC
(In reply to Paul Poulain from comment #16)
> It just seemed to me to be more logical. And that does not make a big
> difference.

I don't mind much, it was just different to what I had in mind.

I'd still really like to get a comment on bug 22210 from Biblibre.
Comment 18 Jonathan Druart 2019-05-15 14:47:30 UTC
Discussed during the last dev meeting:
I moved the 4 bugs from the Mana-kb product to a new Project infrastructure > Mana-kb (server)
Removed the Mana-kb product
Then created a Koha > Mana-kb component for Mana related code inside Koha.